> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Logs

> This endpoint gets new logs

### Body

<ParamField body="id" type="string">
  This is the ID of the logs to be get
</ParamField>

### Response

<ResponseField name="id" type="string">
  This is the ID of the logs
</ResponseField>

<ResponseField name="description" type="string">
  This is the description of the logs
</ResponseField>

<ResponseField name="timestamp" type="string">
  This is the timestamp of the logs
</ResponseField>

<ResponseField name="type" type="string">
  This is the type of the logs
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl 'https://api.stateset.com/v1/logs?limit=50' \
    -H 'Authorization: Bearer <token>'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "logs": [
      {
        "id": "log_8y4mQr5oP2",
        "type": "deployment",
        "description": "Build completed for deploy dep_1042",
        "timestamp": "2026-07-25T18:22:03Z"
      }
    ]
  }
  ```
</ResponseExample>
